View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18344Bug reportsOtherpublic2022-09-19 11:08
Reporter2BITS_PL Assigned Toollehar  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.28.x 
Summary18344: Unable to download file in response list (IIS)
Description

After going to the "Responses" page (inside the survey), in the list in the column for a specific question (upload), we have a link to the file. When I click on it, it takes me to the error page:
admin/responses?sa=actionDownloadfile&surveyid=538634&iResponseId=1&iQID=3308&iIndex=0

In line 639 at the end of it, just change '/' to DIRECTORY_SEPARATOR and in Windows the server will set the slash correctly and then the link will work properly, it will download the file.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 3.28.24+220816
I will donate to the project if issue is resolvedNo
Browser
Database type & versionSQL Server 2019
Server OS (if known)Microsoft Server 2019
Webserver software & version (if known)
PHP Versionv7.4.15 NTS x64

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

2BITS_PL

2BITS_PL

2022-09-12 18:54

reporter  

ollehar

ollehar

2022-09-15 11:30

administrator   ~71760

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33879

ollehar

ollehar

2022-09-15 11:30

administrator   ~71761

Tip: This was already fixed in LimeSurvey 5...

LimeBot

LimeBot

2022-09-19 11:08

administrator   ~71817

Fixed in Release 3.28.29+220920

Related Changesets

LimeSurvey: 3.x-LTS 18ba2344

2022-09-15 11:29:22

ollehar

Details Diff
Fixed issue 18344: Unable to download file in response list (IIS) Affected Issues
18344
mod - application/controllers/admin/responses.php Diff File

Issue History

Date Modified Username Field Change
2022-09-12 18:54 2BITS_PL New Issue
2022-09-12 18:54 2BITS_PL File Added: Error_Download_File_In_Response_2022-09-12_16h46_55.png
2022-09-15 11:30 ollehar Changeset attached => LimeSurvey 3.x-LTS 18ba2344
2022-09-15 11:30 ollehar Note Added: 71760
2022-09-15 11:30 ollehar Bug heat 0 => 2
2022-09-15 11:30 ollehar Assigned To => ollehar
2022-09-15 11:30 ollehar Resolution open => fixed
2022-09-15 11:30 ollehar Status new => resolved
2022-09-15 11:30 ollehar Note Added: 71761
2022-09-19 11:08 LimeBot Note Added: 71817
2022-09-19 11:08 LimeBot Status resolved => closed
2022-09-19 11:08 LimeBot Bug heat 2 => 4